<bugID>1163636<Summary>High-DPI Downloads button gets Low-DPI once pressed</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:40.0) Gecko/20100101 Firefox/40.0
Build ID: 20150510030207

Steps to reproduce:

Firefox 40 finally adds some High-DPI toolbar icons (e.g. used at 200% system-level scale) for main GUI (Australis menu is still entirely Low-DPI though).

But the Downloads button is buggy:

by default, the Downloads button is High-DPI, but once pressed/clicked, it immediately gets blurry Low-DPI as in previous Firefox versions.

Tested with the latest nightly build 20150510030207.

High-DPI icons themselves have been added in the build 20150410030204.


Actual results:

High-DPI Downloads button gets Low-DPI once pressed/clicked.


Expected results:

High-DPI Downloads button should be permanently High-DPI regardless of whether is has been pressed/clicked.</Description></bugID>